Function
Parameter
Procedure
Package
Variable
Constant
Exception
Package body
Type
Type body
Trigger
Java source
Library
Directory
Table
Column
Primary Key
Unique Key
Foreign Key
Check Constraint
Index
View
Sequence
User
Object Privilege
System Privilege
Role
Synonym
Tablespace
Cluster
Database link
Profile
Job